Bug 219617 - Display corruption when using tabs
Display corruption when using tabs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vte (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks: 234251
  Show dependency treegraph
 
Reported: 2006-12-14 09:35 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0824
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:09:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vte-0.11.11-always-full-repaint.patch (1.75 KB, patch)
2006-12-14 09:35 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-12-14 09:35:49 EST
1. Open a terminal using gnome-terminal
2. Open a second tab in the terminal
3. Maximise the window
4. Do a "cat /var/log/messages*" (or cat some other big ASCII files)
5. Scroll up and down rapidly

You can see redraw artifacts on some of the lines. Stop scrolling while those
artifacts exist.

Patch backported by Bryan Mason <bjmason@redhat.com> attached. Original patch at:
http://bugzilla.gnome.org/show_bug.cgi?id=164153#c6
Comment 1 Bastien Nocera 2006-12-14 09:35:49 EST
Created attachment 143631 [details]
vte-0.11.11-always-full-repaint.patch
Comment 3 Bryan Mason 2007-05-16 14:44:25 EDT
The customer would like to get a hotfix.  Can the patch get reviewed and rolled
into the build?
Comment 4 Behdad Esfahbod 2007-05-16 15:30:13 EDT
Ok with me.  Bastien, do you prefer building yourself or should I?
Comment 6 RHEL Product and Program Management 2007-06-09 09:25:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 errata-xmlrpc 2007-11-15 11:09:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0824.html

Note You need to log in before you can comment on or make changes to this bug.